org.apache.felix.scrplugin.helper

## Class ClassScanner

- java.lang.Object
- - org.apache.felix.scrplugin.helper.ClassScanner

    public class ClassScanner
    extends Object

The class scanner scans class files for annotations and invokes the `AnnotationProcessor` on each scanned class file.

### Constructor Summary

Constructors
Constructor and Description
`ClassScanner(Log log, IssueLog iLog, Project project, AnnotationProcessor aProcessor)` Create a new scanner.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassDescription` `getDescription(Class<?> clazz)` Get a description for the class
`List<ClassDescription>` `scanSources()` Scan all source class files for annotations and process them.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassScanner

    public ClassScanner(Log log,
                        IssueLog iLog,
                        Project project,
                        AnnotationProcessor aProcessor)

Create a new scanner.

### Method Detail

#### scanSources

    public List<ClassDescription> scanSources()
                                       throws SCRDescriptorFailureException,
                                              SCRDescriptorException

Scan all source class files for annotations and process them.

Throws:
  `SCRDescriptorFailureException`
  `SCRDescriptorException`

#### getDescription

    public ClassDescription getDescription(Class<?> clazz)
                                    throws SCRDescriptorException,
                                           SCRDescriptorFailureException

Get a description for the class

Throws:
  `SCRDescriptorException`
  `SCRDescriptorFailureException`